{% extends "layout.twig" %}
{% block head %}
    <title>App | Register page</title>
{% endblock %}

{% block title %}
    Register page
{% endblock %}

{% block content %}

    <div class="uk-flex uk-flex-center">
        <form method="post" action="{{ path_for('register.post') }}">

            <div class="uk-margin">
                <div class="uk-inline">
                    <span class="uk-form-icon" uk-icon="icon: mail"></span>
                    <input class="uk-input" name="email" placeholder="name@email.com" type="email">
                </div>
            </div>
            <div class="uk-margin">
                <div class="uk-inline">
                    <span class="uk-form-icon" uk-icon="icon: lock"></span>
                    <input class="uk-input" name="password" placeholder="password" type="password">
                </div>
            </div>
            <div class="uk-margin">
                <div class="uk-inline">
                    <span class="uk-form-icon" uk-icon="icon: lock"></span>
                    <input class="uk-input" name="password_repeat" placeholder="repeat password" type="password">
                </div>
            </div>
            <input type="hidden" name="{{csrf.keys.name}}" value="{{csrf.name}}">
            <input type="hidden" name="{{csrf.keys.value}}" value="{{csrf.value}}">
            <button class="uk-button uk-button-default">Submit</button>
        </form>
    </div>
{% endblock %}

{% block msg%}
    {% if has_error('email') or has_error('password') or has_error('password_repeat') %}
        <div class="uk-alert-danger" uk-alert>
            <a class="uk-alert-close" uk-close></a>
            <h3>Error</h3>
            <p>{{ get_error('email') }}</p>
            <p>{{ get_error('password') }}</p>
            <p>{{ get_error('password_repeat') }}</p>
        </div>
    {% endif %}
{% endblock%}